Bug 1368847 (rubygem-jekyll-watch) - Review Request: rubygem-jekyll-watch - Rebuild your Jekyll site when a file changes
Summary: Review Request: rubygem-jekyll-watch - Rebuild your Jekyll site when a file c...
Keywords:
Status: CLOSED ERRATA
Alias: rubygem-jekyll-watch
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: rubygem-jekyll
TreeView+ depends on / blocked
 
Reported: 2016-08-21 20:47 UTC by Björn 'besser82' Esser
Modified: 2016-09-28 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-28 17:15:22 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2016-08-21 20:47:08 UTC
Description:

  Rebuild your Jekyll site when a file changes with the `--watch` switch!


Koji Build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=15327874


Issues:

  no issues reported from rpmlint


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/jekyll/rubygem-jekyll-watch.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/jekyll/rubygem-jekyll-watch-1.5.0-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 1 gil cattaneo 2016-08-23 16:12:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package contains Requires: ruby(release).


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems/cache,
     /usr/share/gems, /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     jekyll-watch-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[z]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem package should exclude cached Gem.
[!]: Test suite of the library should be run.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache},
     %{gem_libdir}
[x]: Gem should use %gem_install macro.
[x]: gems should not require rubygems package

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.20 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.20
INFO: Mock Version: 1.2.20
Finish: chroot init
INFO: installing package(s): /home/gil/1368847-rubygem-jekyll-watch/results/rubygem-jekyll-watch-doc-1.5.0-0.1.fc26.noarch.rpm /home/gil/1368847-rubygem-jekyll-watch/results/rubygem-jekyll-watch-1.5.0-0.1.fc26.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/gil/1368847-rubygem-jekyll-watch/results/rubygem-jekyll-watch-doc-1.5.0-0.1.fc26.noarch.rpm /home/gil/1368847-rubygem-jekyll-watch/results/rubygem-jekyll-watch-1.5.0-0.1.fc26.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: rubygem-jekyll-watch-1.5.0-0.1.fc26.noarch.rpm
          rubygem-jekyll-watch-doc-1.5.0-0.1.fc26.noarch.rpm
          rubygem-jekyll-watch-1.5.0-0.1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
rubygem-jekyll-watch-doc (rpmlib, GLIBC filtered):

rubygem-jekyll-watch (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(listen)



Provides
--------
rubygem-jekyll-watch-doc:
    rubygem-jekyll-watch-doc

rubygem-jekyll-watch:
    rubygem(jekyll-watch)
    rubygem-jekyll-watch



Source checksums
----------------
https://raw.githubusercontent.com/jekyll/jekyll-watch/master/LICENSE.txt#/jekyll-watch-LICENSE.txt :
  CHECKSUM(SHA256) this package     : 4ef26ab61656136385f5413c4b785801490e74c33abdb8a279f35dc519cffe51
  CHECKSUM(SHA256) upstream package : 4ef26ab61656136385f5413c4b785801490e74c33abdb8a279f35dc519cffe51
https://raw.githubusercontent.com/jekyll/jekyll-watch/master/README.md#/jekyll-watch-README.markdown :
  CHECKSUM(SHA256) this package     : 6a01d93502ef70b580559b08c001c85c9c82608e525d643f022dd4472c061302
  CHECKSUM(SHA256) upstream package : 6a01d93502ef70b580559b08c001c85c9c82608e525d643f022dd4472c061302
https://rubygems.org/downloads/jekyll-watch-1.5.0.gem :
  CHECKSUM(SHA256) this package     : df58d960bd2c7ce65f39493eb184dd431cf5af9985be18de0254f092221f2f0b
  CHECKSUM(SHA256) upstream package : df58d960bd2c7ce65f39493eb184dd431cf5af9985be18de0254f092221f2f0b
https://raw.githubusercontent.com/jekyll/jekyll-watch/master/History.markdown#/jekyll-watch-History.markdown :
  CHECKSUM(SHA256) this package     : 8ced733e8c060412363711224d5d548f5d7ba8a9e62d020bacde7eb6249afa7a
  CHECKSUM(SHA256) upstream package : 8ced733e8c060412363711224d5d548f5d7ba8a9e62d020bacde7eb6249afa7a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1368847 --plugins Ruby -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2016-08-23 16:15:07 UTC
Issues:
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package contains Requires: ruby(release).

[!]: Gem package should exclude cached Gem.
[!]: Test suite of the library should be run.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache},
     %{gem_libdir}

Please, fix before import

Approved

Comment 3 Gwyn Ciesla 2016-08-23 17:04:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-jekyll-watch

Comment 4 Fedora Update System 2016-08-23 17:41:04 UTC
rubygem-colorator-1.1.0-1.fc25 rubygem-jekyll-watch-1.5.0-1.fc25 rubygem-mercenary-0.3.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 5 Fedora Update System 2016-08-23 17:41:23 UTC
rubygem-colorator-1.1.0-1.el7 rubygem-jekyll-watch-1.5.0-1.el7 rubygem-mercenary-0.3.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d40c22c4e

Comment 6 Fedora Update System 2016-08-23 17:41:51 UTC
rubygem-colorator-1.1.0-1.el6 rubygem-jekyll-watch-1.5.0-1.el6 rubygem-mercenary-0.3.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-caa664f1d5

Comment 7 Fedora Update System 2016-08-23 17:42:12 UTC
rubygem-colorator-1.1.0-1.fc24 rubygem-jekyll-watch-1.5.0-1.fc24 rubygem-mercenary-0.3.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-251f7325a0

Comment 8 Fedora Update System 2016-08-23 23:20:24 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 9 Fedora Update System 2016-08-24 07:54:09 UTC
rubygem-colorator-1.1.0-1.fc25 rubygem-forwardable-extended-2.6.0-1.fc25 rubygem-jekyll-3.2.1-1.fc25 rubygem-jekyll-sass-converter-1.4.0-1.fc25 rubygem-jekyll-watch-1.5.0-2.fc25 rubygem-mercenary-0.3.6-1.fc25 rubygem-pathutil-0.14.0-1.fc25 rubygem-rouge-1.11.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 10 Fedora Update System 2016-08-24 17:24:55 UTC
rubygem-colorator-1.1.0-1.fc24, rubygem-forwardable-extended-2.6.0-1.fc24, rubygem-jekyll-3.2.1-1.fc24, rubygem-jekyll-sass-converter-1.4.0-1.fc24, rubygem-jekyll-watch-1.5.0-1.fc24, rubygem-mercenary-0.3.6-1.fc24, rubygem-pathutil-0.14.0-1.fc24, rubygem-rouge-1.11.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-251f7325a0

Comment 11 Fedora Update System 2016-08-24 21:18:04 UTC
rubygem-colorator-1.1.0-1.el6, rubygem-forwardable-extended-2.6.0-1.el6, rubygem-jekyll-sass-converter-1.4.0-1.el6, rubygem-jekyll-watch-1.5.0-1.el6, rubygem-mercenary-0.3.6-1.el6, rubygem-pathutil-0.14.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-caa664f1d5

Comment 12 Fedora Update System 2016-08-24 21:20:27 UTC
rubygem-colorator-1.1.0-1.el7, rubygem-forwardable-extended-2.6.0-1.el7, rubygem-jekyll-sass-converter-1.4.0-1.el7, rubygem-jekyll-watch-1.5.0-1.el7, rubygem-mercenary-0.3.6-1.el7, rubygem-pathutil-0.14.0-1.el7, rubygem-rouge-1.11.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d40c22c4e

Comment 13 Fedora Update System 2016-08-25 09:29:25 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-3.2.1-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 14 Fedora Update System 2016-08-28 17:15:00 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-3.2.1-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-28 01:56:46 UTC
rubygem-colorator-1.1.0-1.fc24, rubygem-forwardable-extended-2.6.0-1.fc24, rubygem-jekyll-3.2.1-1.fc24, rubygem-jekyll-sass-converter-1.4.0-1.fc24, rubygem-jekyll-watch-1.5.0-1.fc24, rubygem-mercenary-0.3.6-1.fc24, rubygem-pathutil-0.14.0-1.fc24, rubygem-rouge-1.11.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-28 19:17:53 UTC
rubygem-colorator-1.1.0-1.el7, rubygem-forwardable-extended-2.6.0-1.el7, rubygem-jekyll-sass-converter-1.4.0-1.el7, rubygem-jekyll-watch-1.5.0-1.el7, rubygem-mercenary-0.3.6-1.el7, rubygem-pathutil-0.14.0-1.el7, rubygem-rouge-1.11.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-28 22:17:30 UTC
rubygem-colorator-1.1.0-1.el6, rubygem-forwardable-extended-2.6.0-1.el6, rubygem-jekyll-sass-converter-1.4.0-1.el6, rubygem-jekyll-watch-1.5.0-1.el6, rubygem-mercenary-0.3.6-1.el6, rubygem-pathutil-0.14.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.